# typedef TypePath

#### package haxe.macro

#### import haxe.macro.Expr

Available on all platforms

Represents a type path in the AST.

### Properties

###

`name:String`

The name of the type path.

###

`pack:Array<String>`

Represents the package of the type path.

###

`params:Null<Array<TypeParam>>`

Optional parameters of the type path.

###

`sub:Null<Null<String>>`

Sub is set on module sub-type access: `pack.Module.Type` has name = Module, sub = Type, if available.